### Class

# Foundry LlmMessage

#### Description

    abstract class Foundry.LlmMessage : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundrySimpleLlmMessage

#### Instance methods

###### foundry_llm_message_dup_content

The content of the message.

###### foundry_llm_message_dup_role

The role of the message such as “system”, “user”, “assistant”, or “tool”.

###### foundry_llm_message_has_tool_call

No description available.

###### foundry_llm_message_list_tool_calls

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.LlmMessage:content

No description available.

###### Foundry.LlmMessage:role

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryLlmMessageClass {
      GObjectClass parent_class;
      char* (* dup_content) (
        FoundryLlmMessage* self
      );
      char* (* dup_role) (
        FoundryLlmMessage* self
      );
      gboolean (* has_tool_call) (
        FoundryLlmMessage* self
      );
      GListModel* (* list_tool_calls) (
        FoundryLlmMessage* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_content: char* (* dup_content) ( FoundryLlmMessage* self )`

  No description available.

`dup_role: char* (* dup_role) ( FoundryLlmMessage* self )`

  No description available.

`has_tool_call: gboolean (* has_tool_call) ( FoundryLlmMessage* self )`

  No description available.

`list_tool_calls: GListModel* (* list_tool_calls) ( FoundryLlmMessage* self )`

  No description available.

#### Virtual methods

###### Foundry.LlmMessageClass.dup_content

The content of the message.

###### Foundry.LlmMessageClass.dup_role

The role of the message such as “system”, “user”, “assistant”, or “tool”.

###### Foundry.LlmMessageClass.has_tool_call

No description available.

###### Foundry.LlmMessageClass.list_tool_calls

No description available.